ru.bitel.bgbilling.modules.voice.api.server.bean

## Class VoiceAuthErrorDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<VoiceAuthError>
      - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceAuthErrorDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class VoiceAuthErrorDao
      extends ru.bitel.common.dao.AbstractIdDao<VoiceAuthError>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceAuthErrorDao(ConnectionSet connectionSet, int moduleId, java.util.Date date)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addError(VoiceAuthError error)`
    `Result<VoiceAuthError>` | `errorList(java.util.Date timeFrom, java.util.Date timeTo, java.util.Set<java.lang.Integer> deviceIds, java.util.Set<java.lang.Integer> contractIds, java.util.Set<java.lang.Integer> accountIds, java.lang.String contract, java.lang.String login, Page page)`
    `protected VoiceAuthError` | `getFromRS(java.sql.ResultSet rs)`
    `void` | `update(VoiceAuthError b)`
    `protected void` | `updateImpl(VoiceAuthError b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceAuthErrorDao

          public VoiceAuthErrorDao(ConnectionSet connectionSet,
                                   int moduleId,
                                   java.util.Date date)

  - ### Method Detail

    - #### getFromRS

          protected VoiceAuthError getFromRS(java.sql.ResultSet rs)
                                      throws java.sql.SQLException,
                                             ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VoiceAuthError>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(VoiceAuthError b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceAuthError>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### update

          public void update(VoiceAuthError b)
                      throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `update` in class `ru.bitel.common.dao.AbstractDao<VoiceAuthError>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addError

          public void addError(VoiceAuthError error)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### errorList

          public Result<VoiceAuthError> errorList(java.util.Date timeFrom,
                                                  java.util.Date timeTo,
                                                  java.util.Set<java.lang.Integer> deviceIds,
                                                  java.util.Set<java.lang.Integer> contractIds,
                                                  java.util.Set<java.lang.Integer> accountIds,
                                                  java.lang.String contract,
                                                  java.lang.String login,
                                                  Page page)
                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`